// globals

function preprocess () {
  

echo ('  require(eRm)\n');
}

function calculate () {
  
  rad_splitcr    = getValue("rad_splitcr");
  splitvector     = getValue("splitvector");

echo ('waldtest.res <- Waldtest(' + getValue("x"));
                  
                  if(rad_splitcr == "mean") echo (", splitcr=\"mean\"");
                  if(rad_splitcr == "vector") echo (", splitcr="+splitvector);
 echo (')\n');
}

function printout () {
echo ('rk.header ("Wald test (' + getValue("x") + ')")\n');
echo ('rk.print (waldtest.res)\n');
}
